/* Temperature.h provides a Temperature class,
 * containing only class methods (so far).
 * 
 * Created by: Joel C. Adams, Summer 2001.
 * For: C++ An Introduction to Computing 3/e.
 *******************************************************************/

#include <cassert>     // assert()
using namespace std;

const double MIN_FAHRENHEIT = -459.67,
             MIN_CELSIUS    = -273.15,
             MIN_KELVIN     = 0;
             
class Temperature
{
public:
  static double fahrToCels(double tempFahr);
  static double fahrToKelv(double tempFahr);
  static double celsToFahr(double tempCels); 
  static double celsToKelv(double tempCels); 
  static double kelvToFahr(double tempKelv); 
  static double kelvToCels(double tempKelv); 
};

inline double Temperature::fahrToCels(double tempFahr)
{
   assert(tempFahr >= MIN_FAHRENHEIT);
   return (tempFahr - 32.0) / 1.8;
}

inline double Temperature::celsToFahr(double tempCels)
{
  assert(tempCels >= MIN_CELSIUS);
  return tempCels * 1.8 + 32.0;
}

// ... other Temperature class methods left as exercises ... 




